**`Marcos Paulucci `[NAME]**-NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- **`34 674407813`[PHONES_PHONE]** - **`marcosmpaulucci@gmail.com`[EMAILS_EMAIL]** - Barcelona, Spain -NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** graduated from National Technological University of Buenos Aires. I am -NL- passionate about technology, learning and creating great, scalable software solutions. I love -NL- challenges and team-working. -NL- **`Professional experience`[WORK_EXPERIENCE_HEADING]** -NL- (Aug 2018 - Present) **`Senior Software Engineer`[EMPLOYER_ROLE]** - **`Strands`[EMPLOYER_COMPANY_NAME]** -NL- ● Developing a web responsive, mobile first frontend using ES6, React, Redux, Webpack D3 Sass -NL- ● Building and improving a data ingestion system ( https://strands.com/products/api-hub/). The -NL- project uses Spring boot 2, Java 8, Web crawlers, and third party SDKs to retrieve data from -NL- Open banking apis and Invoicing providers (such as Xero, Quickbooks, Sage), transforming and -NL- exposing it in a restful api. -NL- (May 2017 - Aug 2018) **`SW Engineer - Team leader`[EMPLOYER_ROLE]** - **`Strands`[EMPLOYER_COMPANY_NAME]** -NL- ● Worked with teams and clients from around the globe, successfully delivered solutions to big -NL- banks such as BMO (Canada), UBI (Italy), Davivienda (Colombia) and most recently Galicia -NL- (Argentina). -NL- https://www.bancogalicia.com/banca/online/web/Personas/ProductosyServicios/app-galicia-perso -NL- nas/!ut/p/z1/04_Sj9CPykssy0xPLMnMz0vMAfIjo8ziLQxNnD28TQy9Ddx8nAwcQ5wczfxcLA0MTM30 -NL- w1EV-Bu5GRg4OoYY-RobuBi6OhvoR5Gk390nyBmo38fM2MAo2NjAwow4_QY4gCOp9mMqiMJvfLh- -NL- FKoVWE. For Galicia Bank project I guided the design and implementation of a Personal Finance -NL- Manager, developed with Javascript (React stack), Java + Spring + Struts 2. -NL- (Oct 2014 - May 2017) **`Full Stack Developer`[EMPLOYER_ROLE]** -**` Strands Labs Inc`[EMPLOYER_COMPANY_NAME]**: https://strands.com/ -NL- ● Backend developer, using Java, Spring, Struts, Hibernate, Oracle, PLSQL, etc. -NL- ● Build the business logic, extracting and processing data from databases and web services, and -NL- serve the resources to the UI projects via RESTful APIs. -NL- ● Frontend development using React, Redux, React Router, migrated from backbone/marionette. -NL- (Mar 2013 - Dec 2013) **`UI Developer`[EMPLOYER_ROLE]** - **`Integra Solutions`[EMPLOYER_COMPANY_NAME]** integrasolutions.com.ar -NL- ● Developing web solutions for PyMEs and for Government of the City of Buenos Aires using PHP, -NL- HTML, CSS. -NL- (Mar 2012 - Dec 2012) **`Software Developer`[EMPLOYER_ROLE]** - **`Ingematica`[EMPLOYER_COMPANY_NAME]**: ingematica.net/ingematicaes -NL- ● Develop Web and desktop applications using .NET stack and Oracle databases, biggest client -NL- was Garbarino -NL- **`Education:`[EDUCATION_HEADING]** -NL- 2010-2015 **`UTN (Universidad Tecnológica Nacional)`[EDUCATION_INSTITUTE]** -NL- **`Information Systems Engineer`[EDUCATION_COURSE]** -NL- 2004-2009 **`National School of Buenos Aires`[EDUCATION_INSTITUTE]** -NL- **`Bachelor`[EDUCATION_DEGREE]** with **`orientation in sciences`[EDUCATION_COURSE]** -NL- **`Marcos Paulucci `[NAME]**-NL- **`Senior Software Engineer`[EMPLOYER_ROLE]** -NL- **`34 674407813`[PHONES_PHONE]** - **`marcosmpaulucci@gmail.com`[EMAILS_EMAIL]** - Barcelona, Spain -NL- **`Professional Qualifications:`[OTHERS_HEADING]** -NL- Selection of programming languages and technologies: -NL- ● Java (6 years): Java 8. Spring Framework (Spring Boot, MVC, JPA, Data, Batch), Maven, -NL- Struts2, Hibernate, SOAP and Restful Web Services, jUnit for TDD -NL- ● Javascript (6 years): React & React Native, Node, Express, Webpack, Grunt, Backbone, -NL- ES6 -NL- ● CSS, Sass, LESS, (3 years), Mobile first, Responsive design -NL- ● Node and Typescript (2 years) -NL- ● Scala, Kotlin (3 months) -NL- ● Android Studio development (3 months) -NL- Databases: -NL- ➔ Relational Databases: Oracle DB, PostgreSQL, MySQL. -NL- ➔ NoSQL: MongoDB, Redis, Cassandra, Neo4J. -NL- ➔ Big data platforms: Hadoop -NL- Good Practices and methodologies: -NL- ➔ Automated testing (unit and integration), TDD. -NL- ➔ Performance tests (Latency and load) using JMeter -NL- ➔ Standard DevOps skills -NL- ➔ Agile-Scrum methodologies -NL- Other Technologies: -NL- ➔ Linux -NL- ➔ Docker -NL- ➔ Version control: Git/SVN. -NL- ➔ CI/CD , Jenkins -NL- ➔ Remote Control: SSH/Telnet. -NL- ➔ Nginx, Apache, Tomcat, Websphere, Weblogic -NL- ➔ AWS (basic usage practising EC2, lambdas, SQS, SNS, Api Gateway) -NL- ➔ RabbitMQ (Concepts and basic usage) -NL- ➔ Kafka (Concepts and basic usage) -NL- **`Languages:`[OTHERS_HEADING]** -NL- ➔ English: advanced -NL- ➔ Spanish: native -NL- ➔ Portuguese: Intermediate. -NL- About me -NL- I am an enthusiastic software engineer who enjoys learning by himself about how to build high quality -NL- code and scalable software products. My interests and knowledge range from frontend performance to -NL- distributed architectures, programming languages, frameworks, database technologies. I enjoy -NL- challenges and working hard to overcome them and learn along the way. -NL- 